W(1)

NUME
w - Afișează cine este conectat și ce face fiecare.

REZUMAT
w [opțiuni] [utilizator]

DESCRIERE
w afișează informații despre utilizatorii aflați în prezent conectați la mașină și despre procesele acestora. Antetul arată, în această ordine, ora curentă, de cât timp funcționează sistemul, câți utilizatori sunt conectați în prezent și mediile de încărcare a sistemului pentru ultimele 1, 5 și 15 minute.

Următoarele intrări sunt afișate pentru fiecare utilizator: numele de conectare, numele tty, gazda la distanță, timpul de conectare, timpul de inactivitate, JCPU, PCPU și linia de comandă a procesului curent.

Timpul JCPU este timpul folosit de toate procesele atașate la tty. Nu include lucrările din fundal anterioare, dar include lucrările din fundal care rulează în prezent.

Timpul PCPU este timpul utilizat de procesul curent, numit în câmpul „ce”.

OPȚIUNI DE LINIE DE COMANDĂ

-h, --no-header
    Nu afișează antetul.

-u, --no-current
    Ignoră numele de utilizator în timp ce determină procesul curent și timpii CPU. Pentru a demonstra acest lucru, executați comanda su și apoi comanda w și comanda w -u.

-s, --short
    Utilizează formatul scurt. Nu afișează ora de conectare, timpii JCPU sau PCPU.

-f, --from
    Comută afișarea/neafișarea câmpului din (numele gazdei de la distanță). Valoarea implicită, așa cum a fost lansată, este ca câmpul din să nu fie afișat, deși administratorul de sistem sau întreținătorul distribuției poate să fi compilat o versiune în care câmpul din este afișat implicit.

--help
    Afișează acest mesaj de ajutor.

-i, --ip-addr
    Afișează adresa IP în loc de numele gazdei pentru câmpul DIN.

-p, --pids
    Afișează pid-ul procesului de autentificare sau al procesului „what” în câmpul „what”.

-V, --version
    Afișați informațiile despre versiune.

-o, --old-style
    Afișare în stil vechi. Imprimă spațiu liber pentru timpi de inactivitate mai mici de un minut.

utilizator
    Afișează informații numai despre utilizatorul specificat.

VARIABILE DE MEDIU

PROCPS_USERLEN
    Suprascrie lățimea implicită a coloanei numelui de „utilizator”. Valoarea implicită este 8.

PROCPS_FROMLEN
    Suprascrie lățimea implicită a coloanei „din”. Valoarea implicită este 16.

FIȘIERE

/var/run/utmp
    informații despre cine este conectat în prezent

/proc
    informații despre procese

CONSULTAȚI ȘI
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTORI
w a fost aproape în întregime rescris de Charles Blake pe baza unei versiuni a lui Larry Greenfield <greenfie@gauss.rutgers.edu> și Michael K. Johnson < johnsonm@redhat .com>.

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org